Skip to main content
GET
Get Delegated Signer

Authorizations

X-API-KEY
string
header
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>
signer
string
required

The locator for the signer

Example:

"external-wallet:0x1234567890123456789012345678901234567890"

Response

The delegated signer has been successfully retrieved.

Complete delegated signer response including the signer and authorizations for each chain

locator
string
required

The quorum's locator, generated when it was added. Name it as signer to act as the quorum.

Pattern: ^quorum:[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
members
(Phone Signer · object | Server Signer · object | Email Signer · object | External Wallet Signer · object | Passkey Signer · object)[]
required

The member signers, each under its own locator

Configuration for a phone signer

threshold
integer
required

The number of member signatures required to approve

Required range: 1 <= x <= 9007199254740991
type
string
required

Identifier for quorum (multisig) signer type

Allowed value: "quorum"
chains
object

Authorization for each chain, keyed by chain name. The value is either a signature request (signature flow) or an on-chain registration transaction (deployImmediately flow).

expiresAt

The expiry date of the signer in ISO 8601 format

scopes
Transfer · object[]

Optional array of scopes restricting the signer's capabilities

Example: